LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XRedline Interface Referencepublished

enables creation of redlines (change tracking). More...

`import <XRedline.idl;`

## Public Member Functions
void | makeRedline ([in]string RedlineType, [in] com::sun::star::beans::PropertyValues RedlineProperties) raises ( com::sun::star::lang::IllegalArgumentException )

## Detailed Description

enables creation of redlines (change tracking).

## Member Function Documentation

## ◆ makeRedline()

void makeRedline | ( | [in] string | RedlineType,
|  | [in] com::sun::star::beans::PropertyValues | RedlineProperties )
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

Parameters

  RedlineType |

Valid type names are:

- Insert - marks an insertion

- Delete - marks a deletion

- Format - marks an attribute change

- TextTable - marks a text table

- Style - marks an applied style

Parameters

  RedlineProperties | contains the following parameters [readonly, property] string RedlineAuthor; [readonly, property] com::sun::star::util::DateTime RedlineDateTime; [readonly, property] string RedlineComment; [readonly, optional, property] boolean RedlineMoved;

The documentation for this interface was generated from the following file:

- com/sun/star/text/XRedline.idl